apptainer(1)

NAME
apptainer - Linux container platform optimized for High Performance Computing (HPC) and Enterprise Performance Computing (EPC)

SYNOPSIS
apptainer [global options...]

DESCRIPTION
Apptainer containers provide an application virtualization layer enabling
  mobility of compute via both application and environment portability. With
  Apptainer one is capable of building a root file system that runs on any
  other Linux system where Apptainer is installed.

OPTIONS
--build-config[=false]
    use configuration needed for building containers

-c, --config="/etc/apptainer/apptainer.conf"
    specify a configuration file (for root or unprivileged installation only)

-d, --debug[=false]
    print debugging information (highest verbosity)

-h, --help[=false]
    help for apptainer

--nocolor[=false]
    print without color output (default False)

-q, --quiet[=false]
    suppress normal output

-s, --silent[=false]
    only print errors

-v, --verbose[=false]
    print additional information

EXAMPLE
      $ apptainer help <command> [<subcommand>]
      $ apptainer help build
      $ apptainer help instance start

SEE ALSO
apptainer-build(1), apptainer-cache(1), apptainer-capability(1), apptainer-checkpoint(1), apptainer-config(1), apptainer-delete(1), apptainer-exec(1), apptainer-inspect(1), apptainer-instance(1), apptainer-key(1), apptainer-keyserver(1), apptainer-oci(1), apptainer-overlay(1), apptainer-plugin(1), apptainer-pull(1), apptainer-push(1), apptainer-registry(1), apptainer-remote(1), apptainer-run(1), apptainer-run-help(1), apptainer-search(1), apptainer-shell(1), apptainer-sif(1), apptainer-sign(1), apptainer-test(1), apptainer-verify(1), apptainer-version(1)

HISTORY
24-Jun-2026 Auto generated by spf13/cobra